SFML - Simple and Fast Multimedia Library

SFML 2.6.2

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
sf::SoundFileFactory Class Reference
Audio module

Manages and instantiates sound file readers and writers. More...

`#include <SFML/Audio/SoundFileFactory.hpp>`

## Static Public Member Functions
template<typename T >
static void | registerReader ()
| Register a new reader.
template<typename T >
static void | unregisterReader ()
| Unregister a reader.
template<typename T >
static void | registerWriter ()
| Register a new writer.
template<typename T >
static void | unregisterWriter ()
| Unregister a writer.
static SoundFileReader * | createReaderFromFilename (const std::string &filename)
| Instantiate the right reader for the given file on disk.
static SoundFileReader * | createReaderFromMemory (const void *data, std::size_t sizeInBytes)
| Instantiate the right codec for the given file in memory.
static SoundFileReader * | createReaderFromStream (InputStream &stream)
| Instantiate the right codec for the given file in stream.
static SoundFileWriter * | createWriterFromFilename (const std::string &filename)
| Instantiate the right writer for the given file on disk.

## Detailed Description

Manages and instantiates sound file readers and writers.

This class is where all the sound file readers and writers are registered.

You should normally only need to use its registration and unregistration functions; readers/writers creation and manipulation are wrapped into the higher-level classes sf::InputSoundFile and sf::OutputSoundFile.

To register a new reader (writer) use the sf::SoundFileFactory::registerReader (registerWriter) static function. You don't have to call the unregisterReader (unregisterWriter) function, unless you want to unregister a format before your application ends (typically, when a plugin is unloaded).

Usage example:

sf::SoundFileFactory::registerReader<MySoundFileReader>();
sf::SoundFileFactory::registerWriter<MySoundFileWriter>();
sf::SoundFileFactory::registerWriter
static void registerWriter()
Register a new writer.
sf::SoundFileFactory::registerReader
static void registerReader()
Register a new reader.

See also
  sf::InputSoundFile, sf::OutputSoundFile, sf::SoundFileReader, sf::SoundFileWriter

Definition at line 46 of file SoundFileFactory.hpp.

## Member Function Documentation

## ◆ createReaderFromFilename()

static SoundFileReader * sf::SoundFileFactory::createReaderFromFilename | ( | const std::string & | filename | ) |
| static

Instantiate the right reader for the given file on disk.

It's up to the caller to release the returned reader

Parameters

  filename | Path of the sound file

Returns
  A new sound file reader that can read the given file, or null if no reader can handle it

See also
  createReaderFromMemory, createReaderFromStream

## ◆ createReaderFromMemory()

static SoundFileReader * sf::SoundFileFactory::createReaderFromMemory | ( | const void * | data,
|  | std::size_t | sizeInBytes )
| static

Instantiate the right codec for the given file in memory.

It's up to the caller to release the returned reader

Parameters

  data | Pointer to the file data in memory
  sizeInBytes | Total size of the file data, in bytes

Returns
  A new sound file codec that can read the given file, or null if no codec can handle it

See also
  createReaderFromFilename, createReaderFromStream

## ◆ createReaderFromStream()

static SoundFileReader * sf::SoundFileFactory::createReaderFromStream | ( | InputStream & | stream | ) |
| static

Instantiate the right codec for the given file in stream.

It's up to the caller to release the returned reader

Parameters

  stream | Source stream to read from

Returns
  A new sound file codec that can read the given file, or null if no codec can handle it

See also
  createReaderFromFilename, createReaderFromMemory

## ◆ createWriterFromFilename()

static SoundFileWriter * sf::SoundFileFactory::createWriterFromFilename | ( | const std::string & | filename | ) |
| static

Instantiate the right writer for the given file on disk.

It's up to the caller to release the returned writer

Parameters

  filename | Path of the sound file

Returns
  A new sound file writer that can write given file, or null if no writer can handle it

## ◆ registerReader()

template<typename T >

static void sf::SoundFileFactory::registerReader | ( |  | ) |
| static

Register a new reader.

See also
  unregisterReader

## ◆ registerWriter()

template<typename T >

static void sf::SoundFileFactory::registerWriter | ( |  | ) |
| static

Register a new writer.

See also
  unregisterWriter

## ◆ unregisterReader()

template<typename T >

static void sf::SoundFileFactory::unregisterReader | ( |  | ) |
| static

Unregister a reader.

See also
  registerReader

## ◆ unregisterWriter()

template<typename T >

static void sf::SoundFileFactory::unregisterWriter | ( |  | ) |
| static

Unregister a writer.

See also
  registerWriter

The documentation for this class was generated from the following file:

- SoundFileFactory.hpp